FANDOM


For 1.2 & 1.1 GamersEdit

For those desperate gamers who are annoyed by the fact that minecraft Tale Of Kingdoms does not work with 1.1 & 1.2, I'm sure that the publisher is on his toes trying to get out a new version of this mod. Please do not press this matter any further.